Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000016 [MyDNS-NG] Global minor sometimes 2009-01-09 03:28 2009-02-03 22:30
Reporter jackzhuo View Status public  
Assigned To jorge
Priority normal Resolution fixed Platform
Status resolved   OS
Projection none   OS Version
ETA none Fixed in Version 1.2.8.23 Product Version pre-1.2.8.4
  Target Version Product Build
Summary 0000016: MyDNS eating 100% CPU
Description Hi ,

Bboy, I just noticed that I had MyDNS eating 100% CPU when it run 1-2 days.

I am running MYDNS 1.1.0.

Details:
---------------------------------------------------------------------------------------------------------------------------------------
Top:
last pid: 82368; load averages: 1.90, 2.25, 1.94 up 9+12:26:29 10:25:37
119 processes: 2 running, 117 sleeping
CPU states: 2.7% user, 0.0% nice, 29.8% system, 1.0% interrupt, 66.5% idle
Mem: 563M Active, 1098M Inact, 223M Wired, 88M Cache, 112M Buf, 28M Free
Swap: 4096M Total, 88K Used, 4096M Free

  PID USERNAME THR PRI NICE SIZE RES STATE C TIME WCPU COMMAND
43595 nobody 1 113 0 67864K 65472K CPU3 3 20.6H 98.88% mydns
43594 nobody 1 96 0 66840K 64348K select 0 30:25 0.10% mydns
43593 nobody 1 96 0 66840K 64556K select 2 30:27 0.00% mydns
43592 nobody 1 96 0 66840K 64572K select 1 30:24 0.00% mydns
---------------------------------------------------------------------------------------------------------------------------------------

Mydns log:

Jan 7 16:27:39 www mydns[43595]: rr 925857: invalid address in "data" (A record) (address="asd")
Jan 7 16:27:39 www mydns[43594]: rr 925857: invalid address in "data" (A record) (address="asd")
Jan 7 16:27:39 www mydns[43593]: rr 925857: invalid address in "data" (A record) (address="asd")
Jan 7 16:27:39 www mydns[43592]: rr 925857: invalid address in "data" (A record) (address="asd")
Jan 7 17:31:48 www mydns[43594]: recvfrom (UDP): Interrupted system call
Jan 7 19:09:17 www mydns[43595]: rr 246831: invalid address in "data" (A record) (address="www.unixman.cn")
Jan 7 19:09:37 www mydns[43594]: last message repeated 2 times
Jan 7 19:09:37 www mydns[43594]: rr 246831: invalid address in "data" (A record) (address="www.unixman.cn")
Jan 7 19:09:37 www mydns[43592]: rr 246831: invalid address in "data" (A record) (address="www.unixman.cn")
Jan 7 19:55:25 www mydns[43595]: 189.51.56.175: A scipaper.kmip.net.: sendto (UDP): Can't assign requested address
Jan 7 20:27:08 www mydns[43595]: rr 791254: invalid address in "data" (A record) (address="220.174.164.270")
Jan 7 20:27:08 www mydns[43592]: rr 791254: invalid address in "data" (A record) (address="220.174.164.270")
Jan 7 20:27:08 www mydns[43593]: rr 791254: invalid address in "data" (A record) (address="220.174.164.270")
Jan 7 20:56:11 www mydns[43594]: rr 460708: invalid address in "data" (A record) (address="0.0.0.0.0")
Jan 7 20:57:55 www mydns[43592]: rr 460708: invalid address in "data" (A record) (address="0.0.0.0.0")
Jan 7 20:59:39 www mydns[43595]: rr 460708: invalid address in "data" (A record) (address="0.0.0.0.0")
Jan 7 21:02:16 www mydns[43593]: rr 460708: invalid address in "data" (A record) (address="0.0.0.0.0")
Jan 7 22:32:13 www mydns[43592]: recvfrom (UDP): Interrupted system call
Jan 8 01:05:21 www mydns[43593]: rr 868375: invalid address in "data" (A record) (address="WWW.yahoo.com")
Jan 8 13:04:56 www mydns[43593]: rr 655935: invalid address in "data" (A record) (address="gdwgi1225.aishu")
Jan 8 13:04:56 www mydns[43594]: rr 655935: invalid address in "data" (A record) (address="gdwgi1225.aishu")
Jan 8 13:04:56 www mydns[43592]: last message repeated 4 times
Jan 8 13:04:56 www mydns[43592]: rr 655935: invalid address in "data" (A record) (address="gdwgi1225.aishu")
Jan 8 14:08:35 www mydns[43595]: recvfrom (UDP): Interrupted system call
Jan 8 22:59:10 www mydns[43595]: last message repeated 66667 times
Jan 8 22:59:10 www mydns[43595]: rr 433510: invalid address in "data" (A record) (address="szshirble.com")
Jan 8 22:59:11 www mydns[43595]: recvfrom (UDP): Interrupted system call
Jan 9 05:58:30 www mydns[43595]: last message repeated 48834 times
Jan 9 05:58:30 www mydns[43595]: 81.215.193.117: A natrocket.kmip.net.: sendto (UDP): Can't assign requested address
Jan 9 05:58:31 www mydns[43595]: last message repeated 3 times
Jan 9 05:58:31 www mydns[43595]: recvfrom (UDP): Interrupted system call
Jan 9 06:26:31 www mydns[43595]: last message repeated 2549 times
Jan 9 06:26:31 www mydns[43595]: rr 578078: invalid address in "data" (A record) (address="xcar.kmip.net")
Jan 9 06:26:32 www mydns[43595]: recvfrom (UDP): Interrupted system call
---------------------------------------------------------------------------------------------------------------------------------------

Mydnd.conf:

user = nobody # Run with the permissions of this user
group = nobody # Run with the permissions of this group
listen = * # Listen on these addresses ('*' for all)
no-listen = # Do not listen on these addresses


                                # CACHE OPTIONS

#zone-cache-size = 1024 # Maximum number of elements stored in the zone cache
#zone-cache-expire = 60 # Number of seconds after which cached zones expires
#reply-cache-size = 1024 # Maximum number of elements stored in the reply cache
#reply-cache-expire = 30 # Number of seconds after which cached replies expire

zone-cache-size = 20000 # Maximum number of elements stored in the zone cache
zone-cache-expire = 60 # Number of seconds after which cached zones expires
reply-cache-size = 20000 # Maximum number of elements stored in the reply cache
reply-cache-expire = 60 # Number of seconds after which cached replies expire


                                # ESOTERICA

log = LOG_DAEMON # Facility to use for program output (LOG_*/stdout/stderr)
pidfile = /var/run/mydns.pid # Path to PID file
timeout = 120 # Number of seconds after which queries time out
multicpu = 4 # Number of CPUs installed on your system
recursive = # Location of recursive resolver
allow-axfr = no # Should AXFR be enabled?
allow-tcp = no # Should TCP be enabled?
allow-update = no # Should DNS UPDATE be enabled?
ignore-minimum = no # Ignore minimum TTL for zone?
soa-table = soa # Name of table containing SOA records
rr-table = rr # Name of table containing RR data
soa-where = # Extra WHERE clause for SOA queries
rr-where = # Extra WHERE clause for RR queries
---------------------------------------------------------------------------------------------------------------------------------------
Environment:
1、OS:
#uname -a
FreeBSD www.kmip.net 7.0-RELEASE FreeBSD 7.0-RELEASE #0: Sun Feb 24 19:59:52 UTC 2008 root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC i386

2、Database: mysql-server-4.0.27

3、hardware: IBM X3650
CPU: Intel(R) Xeon(R) CPU E5420 @ 2.50GHz (2493.77-MHz 686-class CPU)
  Origin = "GenuineIntel" Id = 0x10676 Stepping = 6
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xce3bd<SSE3,RSVD2,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,DCA,<b19>>
  AMD Features=0x20000000<LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 4
real memory = 2147250176 (2047 MB)
avail memory = 2091683840 (1994 MB)
ACPI APIC Table: <IBM SERVALNT>
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
 cpu0 (BSP): APIC ID: 0
 cpu1 (AP): APIC ID: 1
 cpu2 (AP): APIC ID: 2
 cpu3 (AP): APIC ID: 3

Pls give me some solution about this problem.
Thank you very much!

Jack zhuo
Steps To Reproduce
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000051)
jorge (administrator)
2009-01-26 13:11

We believe this is fixed now, with 1.2.8.19 >= version.
(0000053)
jorge (administrator)
2009-02-03 22:28

I'm closing this.
Now i believe it is REALLY fixed.

- Issue History
Date Modified Username Field Change
2009-01-09 03:28 jackzhuo New Issue
2009-01-09 03:29 jackzhuo Issue Monitored: jackzhuo
2009-01-26 13:11 jorge Note Added: 0000051
2009-02-03 22:28 jorge Note Added: 0000053
2009-02-03 22:30 jorge Status new => resolved
2009-02-03 22:30 jorge Fixed in Version => 1.2.8.23
2009-02-03 22:30 jorge Resolution open => fixed
2009-02-03 22:30 jorge Assigned To => jorge


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker